<script setup>
import { RouterLink, RouterView } from 'vue-router'
import {useUserStore} from "@/store/user.js"

const userStore = useUserStore()
</script>

<template>
  <nav v-if="!userStore.loadingSession" class="navbar navbar-expand-lg bg-body-tertiary">
    <div class="container-fluid">
      <router-link class="navbar-brand" to="/">
        <img src="@/assets/logo.svg" alt="Logo" width="30" height="24"
          class="d-inline-block align-text-top">
        PokeAPI
      </router-link>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
        aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li v-if="userStore.userData" class="nav-item">
            <RouterLink class="nav-link" aria-current="page" to="/">Home</RouterLink>
          </li>
          <li v-if="userStore.userData" class="nav-item">
            <RouterLink  class="nav-link" to="/about">About</RouterLink>
          </li>
          <li v-if="userStore.userData" class="nav-item">
            <RouterLink  class="nav-link" to="/pokemons">Pokemons</RouterLink>
          </li>
          <li v-if="userStore.userData" class="nav-item">
            <RouterLink  class="nav-link" to="/favoritos">Favoritos</RouterLink>
          </li>
          <li v-if="!userStore.userData" class="nav-item">
            <RouterLink  class="nav-link" to="/login">Login</RouterLink>
          </li>
          <li v-if="!userStore.userData" class="nav-item">
            <RouterLink  class="nav-link" to="/register">Register</RouterLink>
          </li>
          <li v-if="userStore.userData" class="nav-item">
            <button  @click="userStore.logoutUser" class="btn btn-success" >Logout</button>
          </li>
        </ul>
      </div>
    </div>
  </nav>
  <div v-else>
    <p>Cargando...</p>
  </div>
  <div class="container-fluid text-center w-75">
    <RouterView />
  </div>
</template>


